#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li><a href="${paket?.getReportAcceptanceUrl()}">&{'riwayat_penerimaan.label'}</a></li>
				<li class="active">&{'tambah_penerimaan.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				<a href="${paket?.getReportAcceptanceUrl()}" class="btn btn-sm btn-default"><i class="fa fa-arrow-circle-left"></i> &{'back'}</a>
			</div>
			<!-- End Toolbar -->
		</div>
	</div>

	<div class="row">
		<div class="wizard-form-wrapper">
			<div class="padded">
				<div id="rootwizard">
					<div class="wizard-header">
						<div class="row">
							<div class="col-md-3">
								<h4>&{'tambah_penerimaan.label'}</h4>
							</div>
							<div class="col-md-5 col-md-offset-4">
								<div class="pull-right">
									<div class="navbar">
										<div class="navbar-inner">
											<ul class="nav nav-pills">
												<li class="active">
													<a href="#tab1" data-toggle="tab" class="btn-circle">1</a>
													<span>&{'informasi_penerimaan.label'}</span>
												</li>
												<li>
													<a href="#tab2" data-toggle="tab" class="btn-circle">2</a>
													<span>&{'data_produk.label'}</span>
												</li>
											</ul>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="wizard-body">
						<div class="panel panel-default">
							<div class="panel-body">

								<div class="row">
									<form class="form-horizontal product-form" action="@{storePenerimaan(paket?.id)}" enctype="multipart/form-data" method="POST">
										<input class="saved-products" name="model.savedProducts" type="hidden">
										<input class="deleted-products" name="model.deletedProducts" type="hidden">
										<input class="saved-delivery" name="model.savedDelivery" type="hidden">
										<input class="deleted-delivery" name="model.deletedDelivery" type="hidden">
										<input type="hidden" name="model.model" value="${paket?.acceptanceHistory?.id}">
										<input type="hidden" name="model.action" value="${action}">
										#{authenticityToken /}
										<div class="tab-content">

											<div class="tab-pane active" id="tab1">

												*{<div class="alert alert-info">
													<section>
														<h5>Informasi</h5>
														<p>Pada dokumen pengiriman/delivery note/surat jalan yang anda terima dari penyedia/distributor,
															terdapat 2 (dua) penomoran dokumen yang tertera disana, yaitu:</p>

															<ol>
																<li>Penomoran dokumen yang digenerate otomatis oleh sistem LKPP, dan</li>
																<li>Penomoran dokumen yang penyedia miliki sendiri</li>
															</ol>

														<p>Mohon diinput masing-masing penomoran tersebut dibawah ini:</p>
													</section>
												</div>

												<div class="form-group">
													<label class="col-md-2 control-label">No. Dokumen (LKPP)</label>
													<div class="col-md-4">
														<input class="form-control systemNumber" name="model.systemNumber" value="${paket?.acceptanceHistory?.getSystemDocNumber()}"/>
														<p>Penomoran dokumen yang digenerate otomatis oleh sistem LKPP. Contoh: 4321-1234</p>
													</div>
												</div>}*

												<div class="form-group required">
													<label class="col-md-2 control-label">&{'nomor_dokumen.label'}</label>
													<div class="col-md-4">
														<input class="form-control docNumber" name="model.docNumber" value="${paket?.acceptanceHistory?.no_dokumen}" required/>
														*{<p>&{'paket.doc_number_message'}</p>}*
													</div>
												</div>

												<div class="form-group required">
													<label class="col-md-2 control-label">&{'tanggal_dokumen.label'}</label>
													<div class="col-md-2">
														<input class="form-control datepicker docDate" name="model.documentDate" value="${paket?.acceptanceHistory?.getDdMmYyyyAcceptanceDate()}" required/>
													</div>
												</div>

												<div class="form-group required">
													<label class="col-md-2 control-label">&{'tanggal_penerimaan.label'}</label>
													<div class="col-md-2">
														<input class="form-control datepicker acceptanceDate" name="model.acceptanceDate" value="${paket?.acceptanceHistory?.getDdMmYyyyDocumentDate()}" required/>
													</div>
												</div>

												*{<div class="form-group error">}*
													*{<label class="col-md-2 control-label">&{'lampiran.label'}</label>}*
													*{<div class="col-md-2">}*
														*{<input class="form-control" type="file" accept=".doc,.docx,.pdf" name="model.attachment"/>}*
													*{</div>}*
												*{</div>}*
                                               	<div class="form-group">
                                                	<label class="col-md-2 control-label">&{'lampiran.label'}</label>
                                                   	<div class="col-md-2">
                                                   		<input class="form-control attachment" id="attachment" type="file" accept=".doc,.docx,.pdf" name="model.attachment"/>
													</div><br><br>
                                                   	<div class="col-md-2 col-lg-offset-2">
                                                   	<div class="error-image" style="display: none;"><span style="color: red;">File lebih dari 5 MB !</span><br></div>
                                                   	<div class="error-image-extention" style="display: none;"><span style="color: red;">Format File Salah !</span><br></div>
                                                   		<span style='font-size:20px;'>&#8226;</span> Type : (<span style="color: red">.doc|.docx|.pdf</span>)
                                                   		<span style='font-size:20px;'>&#8226;</span> Size : (<span style="color: red"> Max. 5 MB </span>)
                                                   	</div>
                                                   	<div class="col-md-2 col-lg-offset-2">
                                                   	</div>
												</div>

												<div class="form-group">
													<label class="col-md-2 control-label">&{'catatan.label'}</label>
													<div class="col-md-4">
														<textarea rows="5" class="form-control" name="model.note">${paket?.acceptanceHistory?.deskripsi}</textarea>
													</div>
												</div>
											</div>

											<div class="tab-pane" id="tab2">

												<div class="toolbar">
													<button class="btn btn-sm btn-primary add-button" type="button" >
														<i class="fa fa-plus"></i>
														&{'cari_pengiriman.label'}
													</button>
												</div>
												<div style="overflow-x: auto">
													<table class="table table-condensed table-bordered table-responsive table-striped">
														<thead>
														<tr>
															<th class="header-left">&{'nomor_dokumen_lkpp.label'}</th>
															<th class="header-left">&{'nomor_dokumen.label'}</th>
															<th class="header-left">&{'tanggal_dokumen.label'}</th>
															<th class="header-right">&{'total_jenis_produk.label'}</th>
															<th class="header-right">&{'catatan.label'}</th>
															<th></th>
														</tr>
														</thead>
														<tbody class="delivery-list-front">
														#{if paket?.acceptanceHistory?.delivery != null}
															<tr>
																<td><a href="${paket?.acceptanceHistory?.delivery?.detailUrl}">${paket?.acceptanceHistory?.delivery?.systemDocumentNumber}</a></td>
																<td>${paket?.acceptanceHistory?.delivery?.documentNumber}</td>
																<td>${paket?.acceptanceHistory?.delivery?.documentDate}</td>
																<td>${paket?.acceptanceHistory?.delivery?.total}</td>
																<td>${paket?.acceptanceHistory?.delivery?.deskripsi}</td>
																<td>
																	<button class="btn btn-sm btn-danger delete-delivery column-center" type="button" data-value="${paket?.acceptanceHistory?.delivery?.id}">
																		<i class="fa fa-trash"></i>
																	</button>
																</td>
															</tr>
														#{/if}
														</tbody>
													</table>
												</div>
												#{paket.productTable items:paket?.getAcceptanceProducts(), type:"Penerimaan", label:play.i18n.Messages.get("penerimaan.label")/}
											</div>

											<ul class="pager wizard">
												<li class="previous"><a href="#">&{'previous'}</a></li>
												<li class="next"><a href="#">&{'next'}</a></li>
											</ul>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	#{paket.productSearchModal action:action, paket:paket, typeString:"acceptance" /}

</div>
